# TODO: reimplement first line spacing in Julia
function remove_first_line(s::String)
  lines = split(s, '\n')
  return join(lines[2:end], '\n')
end

@testset "Treesitter" begin
  doc = test_pandoc(
    """
Here's a YAML codeblock:

```yaml
name: panvimdoc
on: [push]
jobs:
  docs:
    runs-on: ubuntu-latest
    name: pandoc to vimdoc
    steps:
      - uses: actions/checkout@v2
```
        """;
    description = nothing,
  )
  @test remove_first_line("""
*test.txt*          For NVIM v0.8.0            Last change: $(CURRENT_DATE)

==============================================================================
Table of Contents                                     *test-table-of-contents*

Here’s a YAML codeblock:

>yaml
    name: panvimdoc
    on: [push]
    jobs:
      docs:
        runs-on: ubuntu-latest
        name: pandoc to vimdoc
        steps:
          - uses: actions/checkout@v2
<

Generated by panvimdoc <https://github.com/kdheepak/panvimdoc>

vim:tw=78:ts=8:noet:ft=help:norl:
""") == remove_first_line(doc)

  doc = test_pandoc(
    """
Here's a YAML codeblock:

```yaml
name: panvimdoc
on: [push]
jobs:
  docs:
    runs-on: ubuntu-latest
    name: pandoc to vimdoc
    steps:
      - uses: actions/checkout@v2
```
        """;
    vimversion = "VIM v9.0.0",
    description = nothing,
  )
  @test remove_first_line(doc) == remove_first_line("""
*test.txt*               For VIM v9.0.0              Last change: $(CURRENT_DATE)

==============================================================================
Table of Contents                                     *test-table-of-contents*

Here’s a YAML codeblock:

>yaml
    name: panvimdoc
    on: [push]
    jobs:
      docs:
        runs-on: ubuntu-latest
        name: pandoc to vimdoc
        steps:
          - uses: actions/checkout@v2
<

Generated by panvimdoc <https://github.com/kdheepak/panvimdoc>

vim:tw=78:ts=8:noet:ft=help:norl:
""")
end
